<div class="container py-5 mx-auto">
    <div class="col-md-12">
        <h3 class="font-weight-bold sectionTitle mt-2 mb-4 text-center" *ngIf="!inventoryId">Add Inventory</h3>
        <h3 class="font-weight-bold sectionTitle mt-2 mb-4 text-center" *ngIf="inventoryId">Edit Inventory</h3>
    </div>
    <div class="row d-flex">
        <div class="col-lg-12">
          <form class="form" [formGroup]="inventoryForm">
            <div class="p-3">
              <div class="row">
                <div class="col-md-6 mb-3">
                  <label class="mb-1"> Name <sup class="requiredField">*</sup></label>
                  <input class="form-control" type="hidden" formControlName="id">
                  <input class="form-control" type="text"  formControlName="name" placeholder="Enter Name">
                  <div *ngIf="f!.name.dirty && f!.name.errors" class="invalid-feedback">
                    <div *ngIf="f!.name.errors.required">Name is required.</div>
                    <div *ngIf="f!.name.errors.minlength">Name must be at least 3 characters.</div>
                  </div>
                </div>
                <div class="col-md-6 mb-3">
                  <label class="mb-1"> Price <sup class="requiredField">*</sup></label>
                  <input class="form-control" type="text" formControlName="price" placeholder="Enter price">
                  <div *ngIf="f!.price.dirty && f!.price.errors" class="invalid-feedback">
                    <div *ngIf="f!.price.errors.required">Price is required.</div>
                    <div *ngIf="f!.price.errors.pattern">Please enter valid price.</div>
                  </div>
                </div>
                <div class="col-md-6 mb-3">
                  <label class="mb-1"> Quantity <sup class="requiredField">*</sup></label>
                  <input class="form-control" type="tel" formControlName="quantity" placeholder="Enter quantity">
                  <div *ngIf="f!.quantity.dirty && f!.quantity.errors" class="invalid-feedback">
                    <div *ngIf="f!.quantity.errors.required">Quantity is required.</div>
                    <div *ngIf="f!.quantity.errors.pattern">Please enter valid quantity.</div>
                  </div>
                </div>
                <div class="col-md-6 mb-3">
                  <label class="mb-1"> Unit <sup class="requiredField">*</sup></label>
                  <input class="form-control" type="text" formControlName="unit" placeholder="Enter Unit">
                  <div *ngIf="f!.unit.dirty && f!.unit.errors" class="invalid-feedback">
                    <div *ngIf="f!.unit.errors.required">Unit is required.</div>
                  </div>
                </div>
                <div class="col-md-6 mb-3">
                  <label class="mb-1"> Description</label>
                  <textarea class="form-control" row="2" formControlName="description" placeholder="Enter Description"></textarea>
                </div>
                <div class="col-md-12 mt-2">
                  <div class="d-flex justify-content-end pt-4 emptyCartBtnWrap">
                    <button type="submit" class="btn btn-secondary mb-1 mr-2" routerLink="/inventory-list">Cancel</button>
                    <button type="submit" class="btn btn-primary mb-1" (click)="save(inventoryId)" [disabled]="!inventoryForm.valid">Save</button>
                  </div>
                </div>
              </div>
            </div>
          </form>
        </div>
      </div>
</div>